local addonName, addonData = ...;

local sellItems = {};
local f = CreateFrame("Frame");

local SelectItem = (C_Container.PickupContainerItem or PickupContainerItem);
local SellItem = (C_Container.PickupMerchantItem or PickupMerchantItem);
local GetContainerNumSlots = (C_Container.GetContainerNumSlots or GetContainerNumSlots);
local GetContainerItemInfo = (C_Container.GetContainerItemInfo or GetContainerItemInfo);

local function SellScannedGreyItems()
    local soldItems = 0;

    for k,v in pairs(sellItems) do
        SelectItem(v.bag, v.slot);
        SellItem(v.bag, v.slot);

        soldItems = soldItems + 1;
    end

    DLU.createMessage(addonData.L.GreyItemsSold);
end

local function SellGreyItems()
    DLU.createMessage(addonData.L.SellGreyItemsStarted);
    local soldItems = 0;

    for bag = 0, NUM_BAG_SLOTS do
        for slot = 1, GetContainerNumSlots(bag) do
            local itemInfo = GetContainerItemInfo(bag, slot);
            if (itemInfo and not itemInfo.isLocked and not itemInfo.hasNoValue and itemInfo.quality == 0) then
                SelectItem(bag, slot);
                SellItem(bag, slot);

                soldItems = soldItems + 1;
            end
        end
    end

    if (soldItems > 0) then
        DLU.createMessage(format(addonData.L.GreyItemsSold, soldItems));
    else
        DLU.createMessage(addonData.L.NoItemsSold);
    end
end

local function CreateMerchantUI()
    -- Button
    local sellGreyItemsBtn = CreateFrame("Button", "DLU_SellGreyItemsBtn", MerchantFrame, "UIPanelButtonTemplate");
    sellGreyItemsBtn:SetText(addonData.L.SellGreyItems);
    sellGreyItemsBtn:SetWidth(100);
    sellGreyItemsBtn:SetHeight(21);
    sellGreyItemsBtn:SetPoint("TOPRIGHT", -180, -30);
    sellGreyItemsBtn:RegisterForClicks("AnyUp");
    sellGreyItemsBtn:SetScript("OnClick", SellGreyItems);
end

f:RegisterEvent("PLAYER_LOGIN");
f:SetScript("OnEvent", function()
    CreateMerchantUI();
end);

function DLU.CheckSellGreyButtonVisibility()
    if (DLUSettings.enableSellGreyButton) then
        sellGreyItemsBtn:Show();
    else
        sellGreyItemsBtn:Hide();
    end
end