local addonName, addonData = ...;

local events = {};
local f = CreateFrame("Frame");

local function isActiveQuestCompleted(index)
	local questInfo = C_GossipInfo.GetActiveQuests()[index];
	
	if (questInfo.isComplete) then
		return true;
	end
	
	return false;
end

function events:GOSSIP_SHOW()
    if (DLUCharacterSettings.questingMode) then
        local activeQuests = C_GossipInfo.GetNumActiveQuests();
        local availableQuests = C_GossipInfo.GetNumAvailableQuests();
        
        if (activeQuests > 0) then
            -- Loop through all available quests
            for i = 1, activeQuests, 1 do
                local isCompleted = isActiveQuestCompleted(i);
                
                if (isCompleted) then
                    C_GossipInfo.SelectActiveQuest(i);
                end
            end
        elseif (availableQuests > 0) then
            -- Loop through all active quests
            for i = 1, availableQuests, 1 do
                C_GossipInfo.SelectAvailableQuest(i);
            end
        end
    end
end

function events:QUEST_GREETING()
    if (DLUCharacterSettings.questingMode) then
        local activeQuests = C_GossipInfo.GetNumActiveQuests();
        local availableQuests = C_GossipInfo.GetNumAvailableQuests();
    
        for i = 1, activeQuests do
            C_GossipInfo.SelectActiveQuest(i);
        end
        
        for i = 1, availableQuests do
            C_GossipInfo.SelectAvailableQuest(i);
        end
    end
end

function events:QUEST_DETAIL()
    if (DLUCharacterSettings.questingMode) then
	    AcceptQuest()
    end
end

function events:QUEST_PROGRESS()
    if (DLUCharacterSettings.questingMode) then
        local isCompletable = IsQuestCompletable()
	
        if (isCompletable) then
            CompleteQuest()
        end
    end
end

function events:QUEST_COMPLETE()
    if (DLUCharacterSettings.questingMode) then
        local choices = GetNumQuestChoices();
	
        local choice = 1;
        if (choices < 2) then
            GetQuestReward(choice)
        end
    end
end

f:RegisterEvent("PLAYER_LOGIN");
f:SetScript("OnEvent", function()
    
    f:SetScript("OnEvent", function(self, event, ...)
        events[event](self, ...);
    end);
    for k, v in pairs(events) do
        f:RegisterEvent(k);
    end
	
	f:UnregisterEvent("PLAYER_LOGIN")
end);